#if !defined(__LABELSETTINGS_H)
#define __LABELSETTINGS_H

class LabelSettings
{
private:

	bool isDefault;

public:

	LabelSettings();
	LabelSettings(const char *name);
	virtual ~LabelSettings();

	bool alwaysOnTop;
	bool startHidden;
	bool bUseFahrenheit;

	Texture *skin;
	Font *font;

	int leftBorder;
	int topBorder;
	int rightBorder;
	int bottomBorder;

	int align;
	int vertAlign;
	int updateInterval;
	bool alwaysUpdateContent;

	int width;
	int height;
	int x;
	int y;

	int scrollInterval;
	int scrollSpeed;
	int scrollPadLength;
	bool scroll;
	
	int autoWidthMode;
	int autoHeightMode;
	int autoMaxWidth;
	int autoMaxHeight;

	bool trueTransparency;
	int alphaTransparency;
	bool ghosted;

	string text;
	string tooltip;

	string leftClickCommand;
	string leftDoubleClickCommand;
	string middleClickCommand;
	string middleDoubleClickCommand;
	string rightClickCommand;
	string rightDoubleClickCommand;
	string wheelDownCommand;
	string wheelUpCommand;
	string enterCommand;
	string leaveCommand;
	string dropCommand;
	string textChangeCommand;

    bool moveable;
	int moveKey;
	int moveButton;

	StringList labelLeftClickRegions;
	StringList labelRightClickRegions;
	StringList labelMiddleClickRegions;

	string enterleaveRegion;

	string labelGroup;
};

extern LabelSettings* defaultSettings;

#endif
